<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:25 GMT 2019 -->
<title>Uses of Class player.Player</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class player.Player";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../player/Player.html" title="class in player">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?player/class-use/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class player.Player" class="title">Uses of Class<br>player.Player</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../player/Player.html" title="class in player">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#board">board</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#game">game</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#player">player</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="board">
<!--   -->
</a>
<h3>Uses of <a href="../../player/Player.html" title="class in player">Player</a> in <a href="../../board/package-summary.html">board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../board/package-summary.html">board</a> that return <a href="../../player/Player.html" title="class in player">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../player/Player.html" title="class in player">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">PurchaseableSquare.</span><code><span class="memberNameLink"><a href="../../board/PurchaseableSquare.html#getOwner--">getOwner</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../board/package-summary.html">board</a> with parameters of type <a href="../../player/Player.html" title="class in player">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PurchaseableSquare.</span><code><span class="memberNameLink"><a href="../../board/PurchaseableSquare.html#setOwner-player.Player-">setOwner</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;p)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="game">
<!--   -->
</a>
<h3>Uses of <a href="../../player/Player.html" title="class in player">Player</a> in <a href="../../game/package-summary.html">game</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../game/package-summary.html">game</a> that return <a href="../../player/Player.html" title="class in player">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../player/Player.html" title="class in player">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">Bid.</span><code><span class="memberNameLink"><a href="../../game/Bid.html#getBidder--">getBidder</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../game/package-summary.html">game</a> that return types with arguments of type <a href="../../player/Player.html" title="class in player">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Input.</span><code><span class="memberNameLink"><a href="../../game/Input.html#createPlayerList-java.util.ArrayList-int-boolean-">createPlayerList</a></span>(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;tokens,
                int&nbsp;numberOfPlayers,
                boolean&nbsp;debug)</code>
<div class="block">Creates a list of players, getting their names from input</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#getPlayers--">getPlayers</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#tallyScore--">tallyScore</a></span>()</code>
<div class="block">Creates a list of winners of the game</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../game/package-summary.html">game</a> with parameters of type <a href="../../player/Player.html" title="class in player">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#bankruptcyProcess-player.Player-int-">bankruptcyProcess</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
                 int&nbsp;amount)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#bought-player.Player-board.PurchaseableSquare-">bought</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;p,
      <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#bought-player.Player-java.lang.String-">bought</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;p,
      java.lang.String&nbsp;psq)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#Buy-player.Player-board.PurchaseableSquare-">Buy</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
   <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>
<div class="block">Checks whether a play can afford a square</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#chanceInteractions-player.Player-">chanceInteractions</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>
<div class="block">Handles all the interactions between the players and chance cards</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#chargeRent-player.Player-board.PurchaseableSquare-">chargeRent</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
          <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>
<div class="block">Calculates the correct rent to be charged to the player who lands on a square owned by another player
 Works for Any type of purchaseable square</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#checkBuy-player.Player-board.PurchaseableSquare-">checkBuy</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
        <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>
<div class="block">Checks whether a player wants to buy a square</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#communityChestInteractions-player.Player-">communityChestInteractions</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>
<div class="block">All the possible interactions from community chest cards</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">Input.</span><code><span class="memberNameLink"><a href="../../game/Input.html#getPlayerNameExcept-java.util.ArrayList-boolean-player.Player-">getPlayerNameExcept</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                   boolean&nbsp;debug,
                   <a href="../../player/Player.html" title="class in player">Player</a>&nbsp;notThisOne)</code>
<div class="block">Gets a player name except the player not wanted</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#payRepairs-int-int-player.Player-">payRepairs</a></span>(int&nbsp;houseCost,
          int&nbsp;hotelCost,
          <a href="../../player/Player.html" title="class in player">Player</a>&nbsp;p)</code>
<div class="block">Pay Repairs Card implementation method</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printBoughtJailCard-player.Player-player.Player-int-">printBoughtJailCard</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;buyer,
                   <a href="../../player/Player.html" title="class in player">Player</a>&nbsp;seller,
                   int&nbsp;amount)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printHand-player.Player-">printHand</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printPlayerPosition-player.Player-board.Board-">printPlayerPosition</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;p,
                   <a href="../../board/Board.html" title="class in board">Board</a>&nbsp;monopolyBoard)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printPlayersExcept-java.util.ArrayList-player.Player-">printPlayersExcept</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                  <a href="../../player/Player.html" title="class in player">Player</a>&nbsp;notThisPlayer)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printProperties-player.Player-">printProperties</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printStatus-player.Player-board.Board-">printStatus</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
           <a href="../../board/Board.html" title="class in board">Board</a>&nbsp;board)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printTax-player.Player-">printTax</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printTradeWith-player.Player-">printTradeWith</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Bid.</span><code><span class="memberNameLink"><a href="../../game/Bid.html#setBid-int-player.Player-">setBid</a></span>(int&nbsp;newAmount,
      <a href="../../player/Player.html" title="class in player">Player</a>&nbsp;newBidder)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Bid.</span><code><span class="memberNameLink"><a href="../../game/Bid.html#setBidder-player.Player-">setBidder</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;bidder)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#squareInteractions-player.Player-board.Square-">squareInteractions</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
                  <a href="../../board/Square.html" title="class in board">Square</a>&nbsp;sq)</code>
<div class="block">Checks if a square is owned by another player</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#Trade-player.Player-java.util.ArrayList-">Trade</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;p,
     java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</code>
<div class="block">Trade things in hand with another player</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#turnHeader-player.Player-">turnHeader</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../game/package-summary.html">game</a> with type arguments of type <a href="../../player/Player.html" title="class in player">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Bid.</span><code><span class="memberNameLink"><a href="../../game/Bid.html#getBid-board.PurchaseableSquare-java.util.ArrayList-boolean-game.Bid-">getBid</a></span>(<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
      java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
      boolean&nbsp;debug,
      <a href="../../game/Bid.html" title="class in game">Bid</a>&nbsp;currentBid)</code>
<div class="block">Gets a new bid with input from the player</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">Input.</span><code><span class="memberNameLink"><a href="../../game/Input.html#getPlayerName-java.util.ArrayList-boolean-">getPlayerName</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
             boolean&nbsp;debug)</code>
<div class="block">Gets a player name and compares it to the list of players</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">Input.</span><code><span class="memberNameLink"><a href="../../game/Input.html#getPlayerNameExcept-java.util.ArrayList-boolean-player.Player-">getPlayerNameExcept</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                   boolean&nbsp;debug,
                   <a href="../../player/Player.html" title="class in player">Player</a>&nbsp;notThisOne)</code>
<div class="block">Gets a player name except the player not wanted</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printAuction-java.util.ArrayList-board.PurchaseableSquare-">printAuction</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
            <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printBoard-board.Board-java.util.ArrayList-player.Bank-">printBoard</a></span>(<a href="../../board/Board.html" title="class in board">Board</a>&nbsp;board,
          java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
          <a href="../../player/Bank.html" title="class in player">Bank</a>&nbsp;bank)</code>
<div class="block">Outputs the board including the locations of the players, ownership, houses,and hotels</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printFinalScores-java.util.ArrayList-java.util.ArrayList-">printFinalScores</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;winners)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printFinalScores-java.util.ArrayList-java.util.ArrayList-">printFinalScores</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;winners)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printPlayers-java.util.ArrayList-">printPlayers</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Messenger.</span><code><span class="memberNameLink"><a href="../../game/Messenger.html#printPlayersExcept-java.util.ArrayList-player.Player-">printPlayersExcept</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                  <a href="../../player/Player.html" title="class in player">Player</a>&nbsp;notThisPlayer)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#setPlayers-java.util.ArrayList-">setPlayers</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../game/Game.html#Trade-player.Player-java.util.ArrayList-">Trade</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;p,
     java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players)</code>
<div class="block">Trade things in hand with another player</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="player">
<!--   -->
</a>
<h3>Uses of <a href="../../player/Player.html" title="class in player">Player</a> in <a href="../../player/package-summary.html">player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../player/package-summary.html">player</a> with parameters of type <a href="../../player/Player.html" title="class in player">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Bank.</span><code><span class="memberNameLink"><a href="../../player/Bank.html#buyHH-player.Player-board.Board-">buyHH</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
     <a href="../../board/Board.html" title="class in board">Board</a>&nbsp;MonopolyBoard)</code>
<div class="block">Buy Houses and Hotels</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Bank.</span><code><span class="memberNameLink"><a href="../../player/Bank.html#pay-player.Player-int-">pay</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;Recipient,
   int&nbsp;amount)</code>
<div class="block">Simple way to send money to a player from the bank</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Bank.</span><code><span class="memberNameLink"><a href="../../player/Bank.html#sellHH-player.Player-board.Board-">sellHH</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;player,
      <a href="../../board/Board.html" title="class in board">Board</a>&nbsp;MonopolyBoard)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../player/Player.html#sellProperty-player.Player-board.PurchaseableSquare-int-">sellProperty</a></span>(<a href="../../player/Player.html" title="class in player">Player</a>&nbsp;Buyer,
            <a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;p,
            int&nbsp;money)</code>
<div class="block">sellProperty returns true if the property was sold successfully.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../player/package-summary.html">player</a> with type arguments of type <a href="../../player/Player.html" title="class in player">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../game/Bid.html" title="class in game">Bid</a></code></td>
<td class="colLast"><span class="typeNameLabel">Bank.</span><code><span class="memberNameLink"><a href="../../player/Bank.html#auction-board.PurchaseableSquare-java.util.ArrayList-boolean-">auction</a></span>(<a href="../../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
       java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
       boolean&nbsp;debug)</code>
<div class="block">Hosts auctions when a property is not purchased</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../player/Player.html#payAll-java.util.ArrayList-int-">payAll</a></span>(java.util.ArrayList&lt;<a href="../../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
      int&nbsp;amountEach)</code>
<div class="block">Pays everyone a certain amount each</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../player/Player.html" title="class in player">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?player/class-use/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
